from typing import Optional, List

from .standard_result import StandardResult
from actionstreamer.Model import Image


class ImageResult(StandardResult):
    def __init__(self, code: int = 0, description: str = '', image: Optional[Image] = None):
        super().__init__(code, description)
        self.image = image or Image()


class ImageListResult(StandardResult):
    def __init__(self, code: int = 0, description: str = '', image_list: Optional[List[Image]] = None):
        super().__init__(code, description)
        self.image_list = image_list or []